Skip to main content
GET
List balance transactions
Minimum role required: Viewer

Authorizations

X-Axilio-Api-Key
string
header
required

Customer API key (axl_ prefix).

Query Parameters

limit
integer<int64>
default:50

max items per page

Required range: 1 <= x <= 100
offset
integer<int64>
default:0

pagination offset

Required range: x >= 0
type
enum<string>[] | null

Only transactions of one of these types; repeatable.

Available options:
opening_balance,
unrecorded,
deposit,
usage,
plan_grant,
plan_lapse,
expiry,
adjustment,
refund_reversal,
dispute_reversal,
dispute_reinstated,
refund_failed
created_after
string<date-time>

only transactions at/after this time (RFC 3339)

created_before
string<date-time>

only transactions at/before this time (RFC 3339)

order_by
string
default:created_at desc

Sort expression 'created_at [asc|desc]', direction defaulting to desc.

Pattern: ^created_at( (asc|desc))?$

Response

OK

One page of balance transactions, using the API's standard list envelope (items, total, limit, offset).

items
object[] | null
required

Page of balance transactions.

limit
integer<int64>
required

Page size used for this response.

offset
integer<int64>
required

Pagination offset used for this response.

total
integer<int64>
required

Total number of transactions matching the query.